// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const { ccclass, property } = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:

    onLoad() {
        this.showAni();
    }
    showAni() {
        if (this.node && this.node.active) {
            this.node.x += 400;
            this.node.y -= 200;
            cc.tween(this.node).by(0.3, { x: -400, y: 200 }).call(() => {
                setTimeout(() => {
                    this.showAni();
                }, 1500);
            }).start();
        } else {
            setTimeout(() => {
                this.showAni();
            }, 100);
        }
    }

    update(dt) {

    }
}
